using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

/// <summary>
/// Defines the WorldObjectCollection filter for objects containing the specified name
/// </summary>
public class ByNameSubStringFilter : ByNameFilter
{
	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByNameSubstring(base.Name);
	}

	internal override void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		ven.ByNameSubstring(base.Name);
	}
}
